import { html as n } from "lit";
import { property as s } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var d = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (p, a, i, e) => {
  for (var t = e > 1 ? void 0 : e ? m(a, i) : a, o = p.length - 1, r; o >= 0; o--)
    (r = p[o]) && (t = (e ? r(a, i, t) : r(t)) || t);
  return e && t && d(a, i, t), t;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--catalonia", this.class = "c-pieIcon c-pieIcon--catalonia", this.name = "IconFlagCatalonia";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--catalonia"><path fill="#da121a" d="M15 8A7 7 0 1 1 1 8a7 7 0 0 1 14 0"></path><path fill="#fcdd09" d="M14.963 8.722a7 7 0 0 0-.012-1.555H1.05a7 7 0 0 0-.012 1.555z"></path><path fill="#fcdd09" d="M14.621 10.278H1.38c.19.553.447 1.075.763 1.555h11.716c.316-.48.573-1.002.763-1.555"></path><path fill="#fcdd09" d="M12.468 13.389H3.532A6.97 6.97 0 0 0 8 15a6.97 6.97 0 0 0 4.468-1.611"></path><path fill="#fcdd09" d="M1.418 5.611h13.164a7 7 0 0 0-.798-1.555H2.216a7 7 0 0 0-.798 1.555"></path><path fill="#fcdd09" d="M3.669 2.5h8.662A6.97 6.97 0 0 0 8 1c-1.635 0-3.14.56-4.331 1.5"></path></svg>`;
  }
};
c([
  s({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  s({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  h("icon-flag-catalonia")
], l);
export {
  l as IconFlagCatalonia
};
